# Creating basic geometrical objects

In GEOM you can create basic geometrical objects (1D & 2D elements) such as:

- Point

- Line

- Circle

- Ellipse

- Arc

- Vector

- Plane

- Working plane

To create basic geometrical objects:

In the main menu select New Entity > Basic.

Point

Description: Creates a point.

Result: GEOM_Shape (vertex).

TUI Command : geom.MakeVertex(Double, Double, Double)

Arguments:

- 1st Constructor: 3 coordinates.

- 2nd Constructor: 1 edge + 1 Parameter defining the position of the point on the given edge.

Dialog Box:

Example:

Line

Description: Creates a line.

Result: GEOM_Shape (edge).

TUI Command: geom.MakeLine(PointStruct, DirStruct)

Arguments: 2 vertices.

Dialog Box:

Example:

Circle

Description: Creates a circle.

Result: GEOM_Shape (edge).

TUI Command: geom.MakeCircle(PointStruct, DirStruct, Double)

Arguments: 1 vertex (for the center) + 1 edge (for the direction) + Radius.

Dialog Box:

Example:

Ellipse

Description: Creates an ellipse.

Result: GEOM_Shape (edge).

TUI Command: geom.MakeEllipse(PointStruct, DirStruct, Double, Double)

Arguments: 1 vertex (for the center) + 1 edge (for the direction) + 1 X Radius + 1 Y Radius.

Dialog Box:

Example:

Arc

Description: Create an arc.

Result: GEOM_Shape (edge).

TUI Command: geom.MakeArc(PointStruct, PointStruct, PointStruct)

Arguments: 3 vertices.

Dialog Box:

Example:

Vector

Description: Creates a vector.

Result: GEOM_Shape (edge).

TUI Command: geom.MakeVector(PointStruct, PointStruct)

Arguments :

- 1st Constructor : 2 vertices.

- 2nd Constructor : 3 values (Coordinates of the 2nd vertex. The first vertex is in the origin).

Dialog Box:

Example:

Plane

Description: Creates a plane.

Result: GEOM_Shape (face).

TUI Command: geom.MakePlane(PointStruct, DirStruct, Double)

Arguments:

- 1st Constructor : 1 vertex + 1 edge + 1 value (to define the size of the plane).

- 2nd Constructor : 1 vertex + 3 values (for the direction) + 1 value (to define the size of the plane).

- 3rd Constructor : 1 face + 1 value (to define the size of the plane).

Dialog Box:

Example:

WorkingPlane

Description: Sets the working plane (and the camera position).

Arguments: 1 face.

Dialog Box: